<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.ArchivableDatabaseFiles Method
DatabaseEnvironment Class See Also

The database files that need to be archived in order to recover the database from catastrophic failure. If any of the database files have not been accessed during the lifetime of the current log files, they will not included in this list. It is also possible that some of the files referred to by the log have since been deleted from the system.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public List<string> ArchivableDatabaseFiles(
    	bool AbsolutePaths
    )

Visual Basic (Declaration)

    Public Function ArchivableDatabaseFiles ( _
    	AbsolutePaths As Boolean _
    ) As List(Of String)

Visual C++

    public:
    List<String^>^ ArchivableDatabaseFiles(
    	bool AbsolutePaths
    )

#### Parameters

AbsolutePaths
  Type: System..::.Boolean
  If true, all pathnames are returned as absolute pathnames, instead of relative to the database home directory.

#### Return Value

The database files that need to be archived in order to recover the database from catastrophic failure.

# Remarks

See the db_archive utility for more information on database archival procedures.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace